Subject: bug#9986: libtool-2.4 and MinGW+MSYS

From: Charles Wilson <[email-masked]>
Date: Mon, 07 Nov 2011 23:58:53 -0500

On 11/7/2011 4:20 PM, Earnie wrote:
> I've found an issue with the .libs/lt-PROGRAM wrapper in that PATH is
> incorrectly prepended to.  Notice below from --lt-debug output that
> "\usr\src\spud\mpc-svn\bld\src\.libs:" is prepended to the windows
> PATH.  The \usr\src\spud\mpc-svn\bld\src\.libs should have been
> translated to e:\p\2\src\spud\mpc-svn\bld\src\.libs and a semi-colon
> instead of a colon used as the path separator.
>
> Earnie
>
> targ.exe:./.libs/lt-targ.c:684: (lt_update_exe_path) modifying 'PATH' by
> prepending
> '\usr\src\spud\mpc-svn\bld\src\.libs:e:\p\2\mingw\lib:e:\p\2\mingw\bin;'
> targ.exe:./.libs/lt-targ.c:634: (lt_setenv) setting 'PATH' to
> '\usr\src\spud\mpc-svn\bld\src\.libs:e:\p\2\mingw\lib:e:\p\2\mingw\bin;.;e:\p\2\mingw\bin;E:\p\2\msys\bin;c:\opt\vim\vim73;c:\opt\python27;c:\opt\python27\DLLs;e:\opt\php5;e:\opt\mysql\bin;e:\opt\git\bin'
> targ.exe:./.libs/lt-targ.c:705: (lt_update_lib_path) modifying 'PATH' by
> prepending '\usr\src\spud\mpc-svn\bld\src\.libs:e:\p\2\mingw\lib;'
> targ.exe:./.libs/lt-targ.c:634: (lt_setenv) setting 'PATH' to
> '\usr\src\spud\mpc-svn\bld\src\.libs:e:\p\2\mingw\lib;\usr\src\spud\mpc-svn\bld\src\.libs:e:\p\2\mingw\lib:e:\p\2\mingw\bin;.;e:\p\2\mingw\bin;E:\p\2\msys\bin;c:\opt\vim\vim73;c:\opt\python27;c:\opt\python27\DLLs;e:\opt\php5;e:\opt\mysql\bin;e:\opt\git\bin'
> targ.exe:./.libs/lt-targ.c:305: (main) lt_argv_zero:
> e:/p/2/src/spud/mpc-svn/bld

As I told you on the mingw list, I'm going to need more information 
about your build environment.  What is $build, and what is $host?  If 
$build is "mingw" do you mean MSYS-shell-in-its-normal-"I-am-mingw" mode?

Also, what are the versions (serial #s) of all of the libtool-related 
.m4 files in your tree, and what does "<builddir>/libtool --version" report?

--
Chuck